aboutsummaryrefslogtreecommitdiff
path: root/chinese/ntuttf/pkg-install
diff options
context:
space:
mode:
authorVanilla I. Shu <vanilla@FreeBSD.org>2003-05-13 01:34:31 +0000
committerVanilla I. Shu <vanilla@FreeBSD.org>2003-05-13 01:34:31 +0000
commit72a1165afd1be6dea8697ffce3bf8c2bfeb58f76 (patch)
tree3340ca9f018b5d6bc7bd95a4273dd6c10124ddb5 /chinese/ntuttf/pkg-install
parent36b51565fd334bf323bed0c6c4ec82f13cd695a7 (diff)
Notes
Diffstat (limited to 'chinese/ntuttf/pkg-install')
-rw-r--r--chinese/ntuttf/pkg-install39
1 files changed, 39 insertions, 0 deletions
diff --git a/chinese/ntuttf/pkg-install b/chinese/ntuttf/pkg-install
new file mode 100644
index 000000000000..e6caa640b670
--- /dev/null
+++ b/chinese/ntuttf/pkg-install
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+if [ "$2" = "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+PKGNAME=$1
+PREFIX=${PKG_PREFIX}
+TTFM=${PREFIX}/bin/ttfm.sh
+
+FONTDIR=${PREFIX}/share/fonts/TrueType
+FONTS="NTU_FS_M.TTF NTU_KAI.TTF NTU_LI_M.TTF NTU_MB.TTF NTU_MM.TTF NTU_MR.TTF NTU_TW.TTF"
+
+if [ ! -x $TTFM ]; then
+ echo "$TTFM not found!"
+ exit 1
+fi
+
+rm -f $FONTDIR/$PKGNAME
+
+if [ "X$WANT_CJK" != "X" ]; then
+ # There's no CJK module now.
+fi
+
+if [ "X$WANT_GS" != "X" ]; then
+ for f in $FONTS; do
+ $TTFM --add gscjk $FONTDIR/$f
+ done
+ echo "gscjk" >> $FONTDIR/$PKGNAME
+fi
+
+if [ "X$WITHOUT_X" = "X" ]; then
+ for f in $FONTS; do
+ $TTFM --add xttfm $FONTDIR/$f
+ done
+ echo "xttfm" >> $FONTDIR/$PKGNAME
+fi
+
+exit 0